<?php
  $img = imagecreatetruecolor(320, 200);
  $bialy = imagecolorallocate($img, 255, 255, 255);
  $zolty = imagecolorallocate($img, 255, 255, 0);

  imagefill($img, 0, 0, $bialy);

  $tab = array(80, 100, 120, 20, 200, 20, 240, 100, 200, 180, 120, 180);

  imagefilledpolygon($img, $tab, 6, $zolty);

  imagejpeg($img, "obraz1.jpg");
  imagedestroy($img);
?>
